Users Querytransactions

View as Markdown
Query user transactions with dynamic columns, filters, and sorting

Authentication

x-api-keystring

API key generated from the dashboard (Settings → API Keys).

Path parameters

userIdstringRequired

Request

This endpoint expects an object.
columnslist of enumsOptionalDefaults to ["id","payment_method","amount","status","type","created_at"]
filterslist of objectsOptionalDefaults to []
sortByenumOptionalDefaults to created_at
sortOrderenumOptionalDefaults to desc
Allowed values:
pageintegerOptional1-100Defaults to 1
limitintegerOptional1-100Defaults to 10

Response

Successful response
columnslist of enums
rowslist of maps from strings to nullable strings or doubles or booleans or maps from strings to any or lists of any
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error